Create Bundle Option
POST https://api.secure.quotivity.com/v1/bundles/{bundleId}/optionsCreates a new option for a bundle. Options can be INCLUDED (required) or ADD_ON (optional). Products can be added inline.
Send your API key in the x-api-key header. See Generating API keys.
Path parameters
Section titled “Path parameters”| Name | Type | Required | Description |
|---|---|---|---|
bundleId |
string | Yes | — |
Request body
Section titled “Request body”Required, application/json: CreateBundleOptionRequest
Responses
Section titled “Responses”| Status | Body | Description |
|---|---|---|
201 |
BundleOption | Bundle option created successfully |
400 |
— | Invalid request |
401 |
— | Unauthorized |
500 |
— | Internal Server Error |
Schemas
Section titled “Schemas”BundleOption
Section titled “BundleOption”| Field | Type | Required | Description |
|---|---|---|---|
id |
string | Yes | — |
accountId |
string | Yes | — |
bundleId |
string | Yes | — |
name |
string | Yes | — |
description |
string | No | — |
priceBookId |
string | Yes | — |
displayOrder |
number | Yes | — |
configuration |
BundleOptionConfiguration | Yes | — |
BundleOptionConfiguration
Section titled “BundleOptionConfiguration”| Field | Type | Required | Description |
|---|---|---|---|
minCount |
number | No | — |
maxCount |
number | No | — |
defaultOptionProductId |
string | No | — |
CreateBundleOptionRequest
Section titled “CreateBundleOptionRequest”| Field | Type | Required | Description |
|---|---|---|---|
name |
string | Yes | — |
description |
string | No | — |
type |
ADD_ON | INCLUDED |
Yes | — |
products |
object[] | No | — |
Ask the help center
Answers come from these guides, with links to the articles used.
Ask anything about configuring quoting in Quotivity Studio.